#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "KessokStation"
iconName = "KessokStation"
longName = "Kessok Station"
shipFile = "KessokStation"
species = App.SPECIES_GALAXY
menuGroup = "Bases"
playerMenuGroup = ""
Foundation.ShipDef.KessokStation = Foundation.StarBaseDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.KessokStation.desc = "The colossal Kessok Space Station is the primary command installation used by the Kessok race. They are mainly deployed in orbit around inhabited planets to refuel and resupply the Kessok’s fleet as well as to provide a base for strategic operations in the sector. These stations are also used for the purposes of surveillance, trade and territorial defence. It has been suspected that at least one of the Space Stations has been constructed in the Maelstrom.\nFinding a Kessok Space Station is difficult, however. They are equipped with a cloaking device which allows them to hide themselves and surprise enemy fleets with devastating effects. The station is heavily armed and armoured; it boasts full coverage of positron beams and four torpedo launchers fixed to its large dome. The station has strong hull armour but its shield generators are susceptible to a heavy bombardment, but the stations are still able to defend themselves against fleet of enemy starships long enough for reinforcements to arrive."
Foundation.ShipDef.KessokStation.CloakingSFX = ""
Foundation.ShipDef.KessokStation.DeCloakingSFX = ""
Foundation.ShipDef.KessokStation.fCrew = 12500


Foundation.ShipDef.KessokStation.dTechs = {
   "Multivectral Shields": 25
}


if menuGroup:           Foundation.ShipDef.KessokStation.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.KessokStation.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
